#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module
%bcond_without	tests	# unit tests

%define 	module	isodate
Summary:	An ISO 8601 date/time/duration parser and formater
Summary(pl.UTF-8):	Moduł analizujący i formatujący daty/czas/okresy w formacie ISO 8601
Name:		python-%{module}
Version:	0.6.1
Release:	1
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.python.org/simple/isodate/
Source0:	https://pypi.python.org/packages/source/i/isodate/isodate-%{version}.tar.gz
# Source0-md5:	1a310658b30a48641bafb5652ad91c40
URL:		https://pypi.python.org/pypi/isodate/
%if %{with python2}
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-2to3 >= 1:3.2
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements ISO 8601 date, time and duration parsing. The
implementation follows ISO8601:2004 standard, and implements only
date/time representations mentioned in the standard. If something is
not mentioned there, then it is treated as non existent, and not as an
allowed option.

%description -l pl.UTF-8
Ten moduł zawiera implementację analizy daty, czasu i okresów w
formacie ISO 8601. Implementacja jest zgodna ze standardem
ISO8601:2004 i zawiera tylko reprezentacje daty/czasu opisane w
standardzie.

%package -n python3-%{module}
Summary:	An ISO 8601 date/time/duration parser and formater
Summary(pl.UTF-8):	Moduł analizujący i formatujący daty/czas/okresy w formacie ISO 8601
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-%{module}
This module implements ISO 8601 date, time and duration parsing. The
implementation follows ISO8601:2004 standard, and implements only
date/time representations mentioned in the standard. If something is
not mentioned there, then it is treated as non existent, and not as an
allowed option.

%description -n python3-%{module} -l pl.UTF-8
Ten moduł zawiera implementację analizy daty, czasu i okresów w
formacie ISO 8601. Implementacja jest zgodna ze standardem
ISO8601:2004 i zawiera tylko reprezentacje daty/czasu opisane w
standardzie.

%prep
%setup -q -n isodate-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
# tests
%{__rm} -r $RPM_BUILD_ROOT%{py_sitescriptdir}/isodate/tests
%endif

%if %{with python3}
%py3_install

# tests
%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/isodate/tests
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.txt README.rst TODO.txt
%dir %{py_sitescriptdir}/isodate
%{py_sitescriptdir}/isodate/*.py[co]
%{py_sitescriptdir}/isodate-%{version}-py*.egg-info

%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES.txt README.rst TODO.txt
%dir %{py3_sitescriptdir}/isodate
%{py3_sitescriptdir}/isodate/*.py
%{py3_sitescriptdir}/isodate/__pycache__
%{py3_sitescriptdir}/isodate-%{version}-py*.egg-info
%changelog
* Fri Apr 01 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-isodate.git;a=log;h=master

* Fri Apr 01 2022 Jan Palus <atler@pld-linux.org> c8a2ef5
- up to 0.6.1

* Fri Apr 01 2022 Jan Palus <atler@pld-linux.org> 3d3ec8e
- fix install

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 0548ddb
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> cde0ea6
- rebuild with python 3.10

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 5ed3496
- release 4 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 80f4311
- rebuild with python 3.8
- release 3 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> c872aa4
- release 2 (by relup.sh)

* Sat Mar 18 2017 Jakub Bogusz <qboosh@pld-linux.org> a2a4a27
- updated to 0.5.4
- actually run tests, cleanups

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 203f7ee
- python 3.6
- release 5 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 67bfbe1
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 09f4389
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 590bbf9
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 4f34626
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 283e588
- python 3.5 rebuild
- release 2 (by relup.sh)

* Thu Jan 08 2015 Jakub Bogusz <qboosh@pld-linux.org> d3fdcd8
- adjusted python package names/versions

* Fri Jan 02 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 27adeff
- Version: 0.5.1, Python 3 support

* Fri May 25 2012 Jakub Bogusz <qboosh@pld-linux.org> c68c979
- pl

* Fri Jan 27 2012 zbyniu <zbyniu@pld-linux.org> 5ceb85f
- up to 0.4.7

* Thu Jan 12 2012 zbyniu <zbyniu@pld-linux.org> 59727fe
- up to 0.4.6

* Mon Jul 18 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7055521
- initial

